<p align="center">
    <div align="center"><img src=https://gw.alipayobjects.com/zos/k/t0/43.png width=138  /></div>
    <h2 align="center">MiaoYan</h2>
    <div align="center">Lightweight Markdown app to help you write great sentences.</div>
    <div align="center"><a href="https://github.com/tw93/MiaoYan/blob/master/README_CN.md">中文</a> | <strong>English</strong></div>
</p>

## Features

- 🏂 **Fantastic**: Local use, security, syntax highlighting, dark mode, source file saving, international, presentation mode, PPT Mode, single edit mode, export file, internal jump, document auto typesetting, picture upload, LaTeX, Mermaid, PlantUML.
- 🎊 **Beauty**: Minimalist design style, folder + file list + editor 3 column mode.
- 🚄 **Fast**: Using Swift5 native development, the performance experience is much better compared to the Web.
- 🥛 **Simple**: Very light, pure editor input experience, many shortcut keys to help you fast.

## First Use

1. Download the latest `MiaoYan.dmg` installation package from <a href="https://github.com/tw93/MiaoYan/releases/latest" target="_blank">GitHub Releases</a> and double-click to install it.
2. You can create a `MiaoYan` folder in iCloud or the root directory, open MiaoYan's Settings, and change the default storage address to this.
3. Click icon of the new folder in the upper left corner of MiaoYan, create your own document category folder, and you can start using it.
4. Similarly, if you are not used to the default font, you can change it to other normal fonts in the settings.

## Shortcut Keys

#### Window Operations

- `command + 1`: Collapse expand folder list
- `command + 2`: Expand the list of documents
- `command + 3`: Switching between edit and preview states
- `command + 4`: Switching between edit and presentation states

#### File Operations

- `command + n`：New document
- `command + r`：Rename document
- `command + d`：Copy document
- `command + delete`：Delete document
- `command + o`：Single open document separately
- `command + shift + n`：New folder
- `command + shift + l`：Auto typesetting
- `command + option + r`：Displaying document in Finder
- `command + option + i`：Display document attributes such as word count

🏂 There are also many other shortcuts waiting for you to find if you like to toss and turn~

## Why do this

- I have tried many note-taking applications before, such as WizNote, Ulysses, Quiver, MWeb, Bear, Typora, for various reasons, I did not find a conventional Markdown application, so I had the idea of doing MiaoYan.
- My job is front-end development, but also can develop iOS App, love to toss new things, so develop MiaoYan as a fun leisure.

## Support

- I have two cats, one is called TangYuan, and one is called Coke, If you think MiaoYan makes your life better, you can give my cats [feed canned food 🥩🍤](https://miaoyan.app/cats.html).
- If you like MiaoYan, you can star it in Github. We are more welcome to recommend them to your like-minded friends.

## Thanks

- <a href="https://github.com/KristopherGBaker/libcmark_gfm" target="_blank">KristopherGBaker/libcmark_gfm</a>: Swift-compatible framework for cmark-gfm.
- <a href="https://github.com/draveness/NightNight" target="_blank">draveness/NightNight</a>: Dark Mode.
- <a href="https://github.com/raspu/Highlightr" target="_blank">raspu/Highlightr</a>: Syntax highlighting capability.
- <a href="https://github.com/glushchenko/fsnotes" target="_blank">glushchenko/fsnotes</a>: MiaoYan has part of the framework code from this.
- <a href="https://github.com/shpakovski/MASShortcut" target="_blank">hpakovski/MASShortcut</a>: Shortcut Key Plugin.
- <a href="https://github.com/lxgw/LxgwWenKai" target="_blank">lxgw/LxgwWenKai</a>: A beautiful open source Chinese font, MiaoYan has made it the default font.
- <a href="https://github.com/sivan/heti" target="_blank">sivan/heti</a>：Enhanced typography for Chinese content presentation.

# License

- Follow the MIT License.
- Please feel free to enjoy and participate in open source.
